From 9b1ac4d127805f6a14415596e4a557fad3d570a5 Mon Sep 17 00:00:00 2001
From: Daniel Lichtenberger <daniel.lichtenberger@gmail.com>
Date: Mon, 15 Nov 2010 01:32:42 -0500
Subject: [PATCH 26/31] radeon: fix potential segfault in renderbuffer update

Fixes:
https://bugs.freedesktop.org/show_bug.cgi?id=31617

Signed-off-by: Alex Deucher <alexdeucher@gmail.com>
---
 .../drivers/dri/radeon/radeon_common_context.c     |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

diff --git a/src/mesa/drivers/dri/radeon/radeon_common_context.c b/src/mesa/drivers/dri/radeon/radeon_common_context.c
index e1639ce..d4c7864 100644
--- a/src/mesa/drivers/dri/radeon/radeon_common_context.c
+++ b/src/mesa/drivers/dri/radeon/radeon_common_context.c
@@ -740,10 +740,9 @@ radeon_update_renderbuffers(__DRIcontext *context, __DRIdrawable *drawable,
 						buffers[i].flags);
 
 			if (bo == NULL) {
-
 				fprintf(stderr, "failed to attach %s %d\n",
 					regname, buffers[i].name);
-
+				continue;
 			}
 
 			ret = radeon_bo_get_tiling(bo, &tiling_flags, &pitch);
-- 
1.7.3.2

